Loading...
Searching...
No Matches
XrdOfsTPCParms Namespace Reference

## Classes

struct | fcTb

## Variables

XrdOfsTPCConfig | Cfg
bool | encTPC = false
struct XrdOfsTPCParms::fcTb | fcAuth [fcMax]
static const int | fcMax = 8
int | fcNum = 0
const char * | gsiPKH = "-----BEGIN PRIVATE KEY-----\n"
XrdXrootdTpcMon * | tpcMon = 0
bool | tpcOK = false

## Class Documentation

## XrdOfsTPCParms::fcTb

struct XrdOfsTPCParms::fcTb

Definition at line 72 of file XrdOfsTPC.cc.

Collaboration diagram for XrdOfsTPCParms::fcTb:

Class Members
bool | aGSI |
bool | aOpt |
char | aProt[XrdSecPROTOIDSIZE] |
char * | aVar |

## Variable Documentation

## Cfg

XrdOfsTPCConfig XrdOfsTPCParms::Cfg

Definition at line 85 of file XrdOfsTPC.cc.

Referenced by XrdOfsTPCInfo::~XrdOfsTPCInfo(), XrdOfsTPC::Authorize(), XrdOfsTPC::Death(), XrdOfsTPCAuth::Get(), XrdOfsTPC::getTTL(), XrdOfsTPC::Init(), XrdOfsTPCProg::Init(), XrdOfsTPCProg::Run(), XrdOfsTPCAuth::RunTTL(), XrdOfsTPC::Start(), XrdOfsTPC::Validate(), and XrdOfsTPCProg::Xeq().

## encTPC

bool XrdOfsTPCParms::encTPC = false

Definition at line 82 of file XrdOfsTPC.cc.

Referenced by XrdOfsTPC::Require(), and XrdOfsTPC::Start().

## fcAuth

struct XrdOfsTPCParms::fcTb XrdOfsTPCParms::fcAuth[fcMax]

Referenced by XrdOfsTPC::AddAuth(), XrdOfsTPC::Init(), and XrdOfsTPC::Validate().

## fcMax

const int XrdOfsTPCParms::fcMax = 8

static

Definition at line 70 of file XrdOfsTPC.cc.

Referenced by XrdOfsTPC::AddAuth().

## fcNum

int XrdOfsTPCParms::fcNum = 0

Definition at line 80 of file XrdOfsTPC.cc.

Referenced by XrdOfsTPC::AddAuth(), XrdOfsTPC::Init(), and XrdOfsTPC::Validate().

## gsiPKH

const char* XrdOfsTPCParms::gsiPKH = "-----BEGIN PRIVATE KEY-----\n"

Definition at line 78 of file XrdOfsTPC.cc.

Referenced by XrdOfsTPC::Validate().

## tpcMon

XrdXrootdTpcMon* XrdOfsTPCParms::tpcMon = 0

Definition at line 84 of file XrdOfsTPC.cc.

## tpcOK

bool XrdOfsTPCParms::tpcOK = false

Definition at line 81 of file XrdOfsTPC.cc.

Referenced by XrdOfsTPC::Authorize(), XrdOfsTPC::Start(), and XrdOfsTPC::Validate().